package com.ensign.crm.module.crm.model;

import com.alibaba.excel.annotation.ExcelProperty;
import com.ensign.crm.framework.excel.core.annotations.DictFormat;
import com.ensign.crm.framework.excel.core.annotations.ExcelColumnSelect;
import com.ensign.crm.framework.excel.core.convert.DictConvert;
import com.ensign.crm.module.system.enums.DictTypeConstants;
import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @Description: 经销商登记分录
 * @Date: 29/11/2024 2:36 pm
 * @Created: by ZZSLL
 */

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = false)
public class DealerRegistrationModel {

    @ExcelProperty("公司名称或客户姓名")
    @JsonAlias({"yem_tcompanyname", "yem_tcompanyname_jxs"})
    @JsonProperty("yem_tcompanyname_jxs")
    private String yem_tcompanyname;

    @ExcelProperty("客户联系人")
    @JsonAlias({"yem_customerlxr_jxs", "yem_customerlxr"})
    @JsonProperty("yem_customerlxr_jxs")
    private String yem_customerlxr;

    @ExcelProperty("客户联系方式")
    @JsonAlias({"yem_customercontact_jxs", "yem_customercontact"})
    @JsonProperty("yem_customercontact_jxs")
    private String yem_customercontact;

    @ExcelProperty(value = "区域", converter = DictConvert.class)
    @DictFormat(DictTypeConstants.REGION_OPTION)
    @ExcelColumnSelect(dictType = DictTypeConstants.REGION_OPTION)
    @JsonAlias({"yem_region_jxs", "yem_region_qy_number", "yem_region_jxs_number"})
    private String yem_region_jxs_number;

    @ExcelProperty(value = "意向强度", converter = DictConvert.class)
    @DictFormat(DictTypeConstants.INTENTION_OPTION)
    @ExcelColumnSelect(dictType = DictTypeConstants.INTENTION_OPTION)
    private String yem_intentionality;

    @ExcelProperty(value = "转换客户", converter = DictConvert.class)
    @DictFormat(DictTypeConstants.BOOLEAN_OPTION)
    @ExcelColumnSelect(dictType = DictTypeConstants.BOOLEAN_OPTION)
    private Boolean yem_switching;
}
